Add option '-fcommon' when compiling genassym because some compilers may
defaulting to '-fno-common'.

diff -ru --exclude-from freebsd-src-diff-exclude-names --new-file /var/archive3/public/freebsd-releng-10.4-src/sys/conf/files.amd64 freebsd-10.4/sys/conf/files.amd64
--- /var/archive3/public/freebsd-releng-10.4-src/sys/conf/files.amd64	2017-09-29 08:19:45.000000000 +0800
+++ freebsd-10.4/sys/conf/files.amd64	2021-07-17 21:56:32.286209000 +0800
@@ -10,7 +10,7 @@
 #
 linux32_genassym.o		optional	compat_linux32		\
 	dependency 	"$S/amd64/linux32/linux32_genassym.c"		\
-	compile-with	"${CC} ${CFLAGS:N-fno-common} -c ${.IMPSRC}"	\
+	compile-with	"${CC} ${CFLAGS:N-fno-common} -fcommon -c ${.IMPSRC}"	\
 	no-obj no-implicit-rule						\
 	clean		"linux32_genassym.o"
 #
@@ -34,7 +34,7 @@
 #
 ia32_genassym.o			standard				\
 	dependency 	"$S/compat/ia32/ia32_genassym.c"		\
-	compile-with	"${CC} ${CFLAGS:N-fno-common} -c ${.IMPSRC}"	\
+	compile-with	"${CC} ${CFLAGS:N-fno-common} -fcommon -c ${.IMPSRC}"	\
 	no-obj no-implicit-rule						\
 	clean		"ia32_genassym.o"
 #
diff -ru --exclude-from freebsd-src-diff-exclude-names --new-file /var/archive3/public/freebsd-releng-10.4-src/sys/conf/files.i386 freebsd-10.4/sys/conf/files.i386
--- /var/archive3/public/freebsd-releng-10.4-src/sys/conf/files.i386	2017-09-29 08:19:45.000000000 +0800
+++ freebsd-10.4/sys/conf/files.i386	2021-07-17 21:56:07.380978000 +0800
@@ -9,7 +9,7 @@
 #
 linux_genassym.o		optional	compat_linux		\
 	dependency 	"$S/i386/linux/linux_genassym.c"		\
-	compile-with	"${CC} ${CFLAGS:N-fno-common} -c ${.IMPSRC}"	\
+	compile-with	"${CC} ${CFLAGS:N-fno-common} -fcommon -c ${.IMPSRC}"	\
 	no-obj no-implicit-rule						\
 	clean		"linux_genassym.o"
 #
@@ -33,7 +33,7 @@
 #
 svr4_genassym.o			optional	compat_svr4		\
 	dependency 	"$S/i386/svr4/svr4_genassym.c"			\
-	compile-with	"${CC} ${CFLAGS:N-fno-common} -c ${.IMPSRC}"	\
+	compile-with	"${CC} ${CFLAGS:N-fno-common} -fcommon -c ${.IMPSRC}"	\
 	no-obj no-implicit-rule						\
 	clean		"svr4_genassym.o"
 #
diff -ru --exclude-from freebsd-src-diff-exclude-names --new-file /var/archive3/public/freebsd-releng-10.4-src/sys/conf/files.pc98 freebsd-10.4/sys/conf/files.pc98
--- /var/archive3/public/freebsd-releng-10.4-src/sys/conf/files.pc98	2017-09-29 08:19:45.000000000 +0800
+++ freebsd-10.4/sys/conf/files.pc98	2021-07-17 21:56:21.007772000 +0800
@@ -11,7 +11,7 @@
 #
 linux_genassym.o		optional	compat_linux		\
 	dependency 	"$S/i386/linux/linux_genassym.c"		\
-	compile-with	"${CC} ${CFLAGS:N-fno-common} -c ${.IMPSRC}"	\
+	compile-with	"${CC} ${CFLAGS:N-fno-common} -fcommon -c ${.IMPSRC}"	\
 	no-obj no-implicit-rule						\
 	clean		"linux_genassym.o"
 #
@@ -35,7 +35,7 @@
 #
 svr4_genassym.o			optional	compat_svr4		\
 	dependency 	"$S/i386/svr4/svr4_genassym.c"			\
-	compile-with	"${CC} ${CFLAGS:N-fno-common} -c ${.IMPSRC}"	\
+	compile-with	"${CC} ${CFLAGS:N-fno-common} -fcommon -c ${.IMPSRC}"	\
 	no-obj no-implicit-rule						\
 	clean		"svr4_genassym.o"
 #
diff -ru --exclude-from freebsd-src-diff-exclude-names --new-file /var/archive3/public/freebsd-releng-10.4-src/sys/conf/kern.post.mk freebsd-10.4/sys/conf/kern.post.mk
--- /var/archive3/public/freebsd-releng-10.4-src/sys/conf/kern.post.mk	2017-09-29 08:19:45.000000000 +0800
+++ freebsd-10.4/sys/conf/kern.post.mk	2021-07-17 21:34:58.585205000 +0800
@@ -179,7 +179,7 @@
 	NM='${NM}' sh $S/kern/genassym.sh genassym.o > ${.TARGET}
 
 genassym.o: $S/$M/$M/genassym.c
-	${CC} -c ${CFLAGS:N-fno-common} $S/$M/$M/genassym.c
+	${CC} -c ${CFLAGS:N-fno-common} -fcommon $S/$M/$M/genassym.c
 
 ${SYSTEM_OBJS} genassym.o vers.o: opt_global.h
 
diff -ru --exclude-from freebsd-src-diff-exclude-names --new-file /var/archive3/public/freebsd-releng-10.4-src/sys/conf/kmod.mk freebsd-10.4/sys/conf/kmod.mk
--- /var/archive3/public/freebsd-releng-10.4-src/sys/conf/kmod.mk	2017-09-29 08:19:45.000000000 +0800
+++ freebsd-10.4/sys/conf/kmod.mk	2021-07-17 21:35:13.938612000 +0800
@@ -481,7 +481,7 @@
 genassym.o: @/${MACHINE_CPUARCH}/${MACHINE_CPUARCH}/genassym.c
 .endif
 genassym.o: @ machine ${SRCS:Mopt_*.h}
-	${CC} -c ${CFLAGS:N-fno-common} \
+	${CC} -c ${CFLAGS:N-fno-common} -fcommon \
 	    @/${MACHINE_CPUARCH}/${MACHINE_CPUARCH}/genassym.c
 .endif
 
diff -ru --exclude-from freebsd-src-diff-exclude-names --new-file /var/archive3/public/freebsd-releng-10.4-src/sys/modules/linux/Makefile freebsd-10.4/sys/modules/linux/Makefile
--- /var/archive3/public/freebsd-releng-10.4-src/sys/modules/linux/Makefile	2017-09-29 08:19:59.000000000 +0800
+++ freebsd-10.4/sys/modules/linux/Makefile	2021-07-17 21:56:45.581252000 +0800
@@ -71,7 +71,7 @@
 .endif
 
 linux${SFX}_genassym.o:
-	${CC} -c ${CFLAGS:N-fno-common} ${.IMPSRC}
+	${CC} -c ${CFLAGS:N-fno-common} -fcommon ${.IMPSRC}
 
 .if !defined(KERNBUILDDIR)
 opt_inet6.h:
diff -ru --exclude-from freebsd-src-diff-exclude-names --new-file /var/archive3/public/freebsd-releng-10.4-src/sys/modules/linux64/Makefile freebsd-10.4/sys/modules/linux64/Makefile
--- /var/archive3/public/freebsd-releng-10.4-src/sys/modules/linux64/Makefile	2017-09-29 08:19:59.000000000 +0800
+++ freebsd-10.4/sys/modules/linux64/Makefile	2021-07-17 21:56:39.138269000 +0800
@@ -41,7 +41,7 @@
 	    ${.IMPSRC} -o ${.TARGET}
 
 linux_genassym.o:
-	${CC} -c ${CFLAGS:N-fno-common} ${.IMPSRC}
+	${CC} -c ${CFLAGS:N-fno-common} -fcommon ${.IMPSRC}
 
 .if !defined(KERNBUILDDIR)
 .if defined(DEBUG)
diff -ru --exclude-from freebsd-src-diff-exclude-names --new-file /var/archive3/public/freebsd-releng-10.4-src/sys/modules/svr4/Makefile freebsd-10.4/sys/modules/svr4/Makefile
--- /var/archive3/public/freebsd-releng-10.4-src/sys/modules/svr4/Makefile	2017-09-29 08:19:59.000000000 +0800
+++ freebsd-10.4/sys/modules/svr4/Makefile	2021-07-17 21:57:09.124962000 +0800
@@ -25,7 +25,7 @@
 		${.IMPSRC} -o ${.TARGET}
 
 svr4_genassym.o: svr4_genassym.c svr4.h @ machine
-	${CC} -c ${CFLAGS:N-fno-common} ${.IMPSRC}
+	${CC} -c ${CFLAGS:N-fno-common} -fcommon ${.IMPSRC}
 
 .if !defined(KERNBUILDDIR) && defined(DEBUG)
 opt_svr4.h:
diff -ru --exclude-from freebsd-src-diff-exclude-names --new-file /var/archive3/public/freebsd-releng-10.4-src/sys/modules/vmm/Makefile freebsd-10.4/sys/modules/vmm/Makefile
--- /var/archive3/public/freebsd-releng-10.4-src/sys/modules/vmm/Makefile	2017-09-29 08:20:00.000000000 +0800
+++ freebsd-10.4/sys/modules/vmm/Makefile	2021-07-17 21:56:54.348760000 +0800
@@ -79,9 +79,9 @@
 	    ${.IMPSRC} -o ${.TARGET}
 
 vmx_genassym.o:
-	${CC} -c ${CFLAGS:N-fno-common} ${.IMPSRC}
+	${CC} -c ${CFLAGS:N-fno-common} -fcommon ${.IMPSRC}
 
 svm_genassym.o:
-	${CC} -c ${CFLAGS:N-fno-common} ${.IMPSRC}
+	${CC} -c ${CFLAGS:N-fno-common} -fcommon ${.IMPSRC}
 
 .include <bsd.kmod.mk>
